Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface INonDeliveryReport

All Superinterfaces:
  IAttachmentSupport, IDeliveryReport, IDocument, IGroupwareItem, IItem, IMailMessage, IMemo, IMessage, IMessagingItem, IReport, java.io.Serializable

public interface INonDeliveryReport
extends IDeliveryReport

Interface used for the Domino non-delivery report.

Collab Key | Domino Concept
(`IDeliveryReport.INTENDED_RECIPIENT`) | Intended Recipient (`DominoKey.INTENDED_RECIPIENT`)

Field Summary
`static ItemClass` | `CLASS` The item class of `IDominoContact`.
`static Key` | `FAILURE_REASON` Key that represents the failure reason.
`static int` | `KEYID_FAILURE_REASON` The `int` ID for the `FAILURE_REASON` key.

Fields inherited from interface com.compoze.collab.domino.IDeliveryReport
`INTENDED_RECIPIENT, KEYID_INTENDED_RECIPIENT`

Fields inherited from interface com.compoze.collab.domino.IMemo
`BODY_STORED_FORM, DELIVERY_PRIORITY, DELIVERY_REPORT_LEVEL, FOLLOW_UP_DATE, FOLLOW_UP_STATUS, FOLLOW_UP_TEXT, KEYID_BODY_STORED_FORM, KEYID_DELIVERY_PRIORITY, KEYID_DELIVERY_REPORT_LEVEL, KEYID_FOLLOW_UP_DATE, KEYID_FOLLOW_UP_STATUS, KEYID_FOLLOW_UP_TEXT, KEYID_MEMO_DATE, MEMO_DATE`

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.domino.IDocument
`DOCUMENT_TYPE, EMBEDDED_IMAGE_COUNT, KEYID_DOCUMENT_TYPE, KEYID_EMBEDDED_IMAGE_COUNT, KEYID_PARENT_DOCUMENT_ID, PARENT_DOCUMENT_ID`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Fields inherited from interface com.compoze.collab.groupware.IReport
`KEYID_ORIGINAL_SUBJECT, ORIGINAL_SUBJECT`

Method Summary
`java.lang.String` | `getFailureReason()` Gets the failure reason.

Methods inherited from interface com.compoze.collab.domino.IDeliveryReport
`getDeliveryDate, getIntendedRecipient, getSubject`

Methods inherited from interface com.compoze.collab.domino.IMemo
`getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getMemoDate, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText`

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.domino.IDocument
`getDocumentType, getEmbeddedImageCount, getParentDocumentID`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Methods inherited from interface com.compoze.collab.groupware.IReport
`getOriginalSubject`

Field Detail

### KEYID_FAILURE_REASON

    public static final int KEYID_FAILURE_REASON

  The `int` ID for the `FAILURE_REASON` key.

### FAILURE_REASON

    public static final Key FAILURE_REASON

  Key that represents the failure reason.

### CLASS

    public static final ItemClass CLASS

  The item class of `IDominoContact`.

Method Detail

### getFailureReason

    public java.lang.String getFailureReason()
                                      throws CollaborationException

  Gets the failure reason.
  Returns:
    the failure reason
  See Also:
    `FAILURE_REASON`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.